require "player"
-- require "enemy"
require "health"
require "spawn"

function startup()
	--music = love.audio.newSource("Blaze.mp3")
	--music:setVolume(2)
	Medium = love.graphics.newFont(30)
	love.graphics.setFont(Medium)
	meteor.new()
  
	love.graphics.setBackgroundColor(255,255,255)
	baseTimer = 0
	seconds = 0
	jumpTimer = 0
end


function love.load()
	startup()
	--music:play()

end

function love.update(dt)
	if player.y > 332 then
		player.yvel = 1
		player.y = 332
	end
	player.jump()
	timer(dt)
	player.update(dt)
	--enemy.update(dt)
  
  -- Traverse through the table "meteorList" and update each meteor.
  for i, v in ipairs(meteorList) do
    v:update(dt)
  end
  
  
	levelCollide()
end

function love.keyreleased(key)
	playerReset(key)
end

function love.draw()
	love.graphics.setColor(0,0,0)
	love.graphics.rectangle("fill", 0, 400, 800, 100)
	drawPlayer()
	love.graphics.print(baseTimer,20,20,0)
	love.graphics.print(jumpTimer,20,20,0)
	--drawEnemy()
  --[x] updateObject() [x]
  
  -- Traverse through the table "meteorList" and draw each meteor.
  for i, v in ipairs(meteorList) do
    v:draw(dt)
  end
  
  	love.graphics.setColor(0,0,0)
	love.graphics.print("Music: 'Blaze' by Valcos", 0, 0, 0)
	love.graphics.print("Time (Sec):",0,30,0)
	love.graphics.print(seconds, 180, 30, 0)
end

function love.quit()
	love.event.quit()
end

function timer(dt)
		baseTimer = baseTimer + dt
		jumpTimer = jumpTimer + dt
	if baseTimer > 0.5 then
  		baseTimer = baseTimer - 0.5
	 	seconds = seconds + 1
	 	--[x] updateObject() [x]
    
    -- Create a new meteor every whenever, with a random x,y.
    	meteor.new()
	end
end


-- I added this to show how to pass variables into a new meteor. In this case, we're passing the mouse x,y coordinates and using them instead of randomly generated ones.
function love.mousepressed(x,y,b)
  meteor.new({x=x,y=y})
end