player = {}

player.x = 100
player.y = (400 - 68)
player.yvel = 1
player.xvel = 1
player.speed = 130
player.health = 4
player.state = "normal"

playerS = love.graphics.newImage("Sprites/Standing.gif")

playerR = {}
playerR[1] = love.graphics.newImage("Sprites/WalkingR1.gif")
playerR[2] = love.graphics.newImage("Sprites/WalkingR2.gif")
playerR[3] = love.graphics.newImage("Sprites/WalkingR3.gif")


playerL = {}
playerL[1] = love.graphics.newImage("Sprites/WalkingL1.gif")
playerL[2] = love.graphics.newImage("Sprites/WalkingL2.gif")
playerL[3] = love.graphics.newImage("Sprites/WalkingL3.gif")


player.animTimer = 0
player.pic = playerS
player.pic:setFilter("nearest","nearest")
player.pnum = 1

player.width = player.pic:getWidth()
player.height = player.pic:getHeight()

function player.update(dt)
		if love.keyboard.isDown("d") and not love.keyboard.isDown("a") then
			player.x = player.x + player.speed * dt
			player.pic = playerR[player.pnum]
			player.pic:setFilter("nearest","nearest")
			player.animTimer = player.animTimer + dt
			if player.animTimer > 0.1 then
				player.pnum = player.pnum + 1
				player.animTimer = 0
			end
			if player.pnum >  3 then
				player.pnum = 1
			end
		end
		if love.keyboard.isDown("a") and not love.keyboard.isDown("d") then
			player.x = player.x - player.speed * dt
			player.pic = playerL[player.pnum]
			player.pic:setFilter("nearest","nearest")
			player.animTimer = player.animTimer + dt
			if player.animTimer > 0.1 then
				player.pnum = player.pnum + 1
				player.animTimer = 0
			end
			if player.pnum >  3 then
				player.pnum = 1
			end
		end
		if love.keyboard.isDown("a") and love.keyboard.isDown("d") then
			player.pic = playerS
		end
		love.graphics.setColor(255,255,255)
		--love.graphics.draw(H[1], 100, 100)
		player.mid = player.x + (player.pic:getWidth()/2)

	if love.keyboard.isDown("w") and player.state == "normal" then
		player.state = "jumping"
		player.jump()
		if player.y > 332 then
			player.yvel = 0
			player.y = 332
		end
	end

	if player.state == "normal" then
		player.y = 332
		player.yvel = 1
	end

end

function player.jump()
	if player.state == "jumping" then	 
			player.y = player.y - 2 * player.yvel
			player.yvel = player.yvel - 0.04
	end
	if player.yvel < -1 then
		player.yvel = 0
		player.state = "normal"
	end
end

function playerReset(key)
	player.pic = playerS
end

function drawPlayer()
	love.graphics.setColor(255,255,255)
	love.graphics.draw(player.pic,player.x,player.y, 0, 4)
end

function levelCollide()
	if player.x > 756  then
		player.x = 756
		player.pic = playerS
	end
	if player.x < 0 then
		player.x = 0
		player.pic = playerS
	end
	if player.y > 580 then
		player.y = 580
		player.pic = playerS
	end
	if player.y < 0 then
		player.y = 0
		player.pic = playerS
	end
end

